#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src/profileengine/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kdevprofileeditor (executable) ############

tde_add_executable( kdevprofileeditor
  SOURCES main.cpp
  LINK profileeditor-static profileengine-shared tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### profileeditor (static) ####################

tde_add_library( profileeditor STATIC AUTOMOC
  SOURCES
    profileeditorbase.ui profileeditor.cpp addprofilewidget.ui
)
